Page MenuHomePhabricator

IRC bots account pending nickserv registration (tracking)
Closed, ResolvedPublic

Description

Wikimedia has several ircecho bots connected to irc.freenode.net. It would be nice to have them registered properly with nickserv.


Version: unspecified
Severity: normal

Details

Reference
bz46252

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:25 AM
bzimport set Reference to bz46252.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Mar 18 2013, 9:15 AM
Krenair set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 12:39 AM
hashar removed a subscriber: hashar.Aug 23 2016, 11:35 AM
hashar closed this task as Resolved.Nov 24 2016, 1:51 PM
hashar claimed this task.

The last one was icinga-wm which uses ircecho. There is no support for nick registration in ircecho and it does not seem to cause any troubles for the icinga-wm bot. Hence I am closing this tracking task which has no more use.

hashar reassigned this task from hashar to Krenair.Nov 19 2018, 3:53 PM
hashar added a subscriber: hashar.

I haven't fixed it. Krenair did the bulk of the work, notably adding auth support in ircecho via T48254 / https://gerrit.wikimedia.org/r/#/c/455277/ Well done Alex.